Public Member Functions | Data Fields

# BaseSetTextfileWindow< TBaseSet > Struct Template Reference

Window for displaying the textfile of a BaseSet. More...

Inheritance diagram for BaseSetTextfileWindow< TBaseSet >:

## Public Member Functions
| BaseSetTextfileWindow (TextfileType file_type, const TBaseSet *baseset, StringID content_type)
void | SetStringParameters (int widget) const
## Data Fields
const TBaseSet * | baseset
| View the textfile of this BaseSet.
StringID | content_type
| STR_CONTENT_TYPE_xxx for title.

## Detailed Description

### template<class TBaseSet>
struct BaseSetTextfileWindow< TBaseSet >

Window for displaying the textfile of a BaseSet.

Definition at line 120 of file settings_gui.cpp.

The documentation for this struct was generated from the following file:

- src/settings_gui.cpp